Subject: [Sipbrandy] Comments on draft-ietf-sipbrandy-osrtp-03

From: Christer Holmberg <[email-masked]>
Date: Wed, 27 Sep 2017 13:46:14 +0000

Hi,

As Alan mentioned, I provide my previous comments on the MMUSIC list (27th January). That was a mistake my side. I have copy/pasted those comments at the end of this e-mail for your reference.

Here are my comments on the latest version (-03) of the draft. Q1 and Q2 are editorial, Q3 may require some discussions with MMUSIC.

In general, my previous comments have been addressed. Thank You! :)

Q1: Please expand OSRTP on first occurrence in the Abstract and the Introduction.

Q2: In the Introduction, do we really want to reference the kaplan draft? I realise it is only an Informative reference, but do we expect it to ever be published as RFC? If it contains useful information, perhaps it can be added to this draft as an Appendix.

Q3: In MMUSIC, I have questioned the need for draft-ietf-mmusic-opportunistic-negotiation, because I think Section 3 of this draft already contains most of the SDP Offer/Answer procedures. My suggestion is that we would rename Section 3 to “SDP Offer/Answer Procedures”, include the normal sub-sections (“Sending of initial offer”, etc), and we would have everything in one place. As an alternative, this draft should not talk about offer/answer, but I think that would be quite difficult.

Regards,

Christer

=========== My previous comments on the MMUSIC list ==============

Hi,

I will read the rest of the document later, but a few initial comments on the Abstract:

The text says:

   “OSRTP is an implementation of Opportunistic Security, as defined in RFC 7435.”

Q1: I suggest to say “…of the Opportunistic Security mechanism, defined in RFC 7435, for RTP.”

Q2: I suggest to place this sentence first in the abstract. Currently the first sentence talks about what OSRTP does, before it has been explained what OSRTP is.

The text says:

   “OSRTP does not require advanced SDP extensions or features and is
   fully backwards compatible with existing secure and insecure
   implementations.”

Q3: I suggest to remove “advanced”, because I don’t know what an advanced SDP extension is :)

Q4: What do you mean by “secure and insecure implementations”? I think some re-wording or clarification is needed.

Regards,

Christer